/** -------------------------------------------------------------------
  *      maintainer: Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * projects:
  *	- Jaugment II
  *       part: twiddler-help-sheet
  *	   used in release: current      used in version: current
  * -------------------------------------------------------------------
  * Copyright:   Copyright (c) 2000 by Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * changes:
  * 0.0.1 (2001-09-02, Marcus Wolschon<Suran@gmx.net>)
  *       - created
  * 0.0.2 (2001-09-06, Marcus Wolschon<Suran@gmx.net>)
  *       - opens the sheet next to the button
  * -------------------------------------------------------------------
  * TODO:
  */
package jaugment2.twiddlerhelpsheet;

     //JDK
import javax.swing.*;
import java.awt.*;
import java.util.GregorianCalendar;
import net.jini.core.event.*;
import jaugment2.helpers.Logger;
import jaugment2.battery.BatteryService.BatteryServiceEvent;
     //JINI
import net.jini.core.lease.LeaseDeniedException;
import net.jini.core.lease.UnknownLeaseException;
import net.jini.core.lease.Lease;
import net.jini.core.event.RemoteEvent;
import net.jini.core.event.RemoteEventListener;
import net.jini.core.event.UnknownEventException;
import java.awt.event.*;


/**
 * Small dockin for the SwingUI showing wireless link-quality
 */
public class TwiddlerHelpSheetDockin extends JPanel implements RemoteEventListener
{
//  JLabel jLabel1 = new JLabel();
  JButton   jbutton1 = new JButton();
  private static final boolean debugMessages = true;

  private TwiddlerHelpSheetProxyIF proxy = null;
  BorderLayout borderLayout1 = new BorderLayout();

  public TwiddlerHelpSheetDockin(TwiddlerHelpSheetProxyIF p)
  {
   this.proxy = p;
    try
    {
      jbInit();
//      p.addListener(this, null, TwiddlerHelpSheetProxyIF.TwiddlerHelpSheetEvent.EVID_LINKLEVELUPDATED);
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }
  }

 public void setFont(Font f)
 {
  if(f == null)
    return;
  if(jbutton1 == null)
    return;
  Font f2 = new Font(f.getFontName(), f.getStyle(), (int)(f.getSize()*0.75));
  super.setFont(f2);
  jbutton1.setFont(f2);
 }



  private void jbInit() throws Exception
  {
   if(debugMessages)Logger.debug.println("DEBUG: TwiddlerHelpSheetProxyIF.jbInit()...");
    jbutton1.setFont(new java.awt.Font("Dialog", 1, 10));
    jbutton1.setText("twiddler");
    jbutton1.addActionListener(new java.awt.event.ActionListener()
    {
      public void actionPerformed(ActionEvent e)
      {
        jbutton1_actionPerformed(e);
      }
    });//TODO: graphical
/*    this.setMaximumSize(new Dimension(79, 30));
    this.setMinimumSize(new Dimension(59, 20));
    this.setPreferredSize(new Dimension(69, 20));*/
    this.setMaximumSize(new Dimension(79, 39));
    this.setMinimumSize(new Dimension(59, 30));
    this.setPreferredSize(new Dimension(69, 30));
    this.setLayout(borderLayout1);
    this.add(jbutton1, BorderLayout.CENTER);

  }



  public void notify(RemoteEvent p0) throws UnknownEventException//, RemoteException
  {
//   if(!(p0 instanceof TwiddlerHelpSheetProxyIF.TwiddlerHelpSheetEvent))
     throw(new UnknownEventException("expecting TwiddlerHelpSheetEvent") );

//    TwiddlerHelpSheetProxyIF.WLanMonitorEvent mevt = (TwiddlerHelpSheetProxyIF.WLanMonitorEvent)p0;
 //   jLabel1.setText(mevt.nwid+":"+f2s(mevt.level)+"\n"+f2s(mevt.link)+"/"+f2s(mevt.noise));
 //   jLabel1.setForeground( ((mevt.level<5)?Color.red:((mevt.level<20)?Color.yellow:Color.black)) ) ;
  }


  private HelpSheet hs = new HelpSheet();

  void jbutton1_actionPerformed(ActionEvent e)
  {
//TODO
   hs.dispose();
   hs = new HelpSheet();
   Point p = getLocationOnScreen();
   hs.setLocation(p.x,p.y);
   hs.toFront();
   hs.show();
  }

}